Get tokens from a collection

/v4/data/collections

20 credits per API call

Note for v3 API users:

As part of our documentation consolidation, we removed the dedicated page for GET /v3/data/collections. Users can refer to GET /v4/data/collections for the latest documentation, as both endpoints function the same—simply replace v4 with v3 in the API URL if using the v3 version.

Get all NFTs (ERC-721 and ERC-1155) and multitokens (ERC-1155 only) of your favorite collections! Our API lets you search for all tokens on:

  • Ethereum - ethereum-mainnet / ethereum-sepolia / ethereum-holesky
  • Base - base-mainnet / base-sepolia
  • Arbitrum - arb-one-mainnet / arb-testnet
  • BNB (Binance) Smart Chain - bsc-mainnet / bsc-testnet
  • Polygon - polygon-mainnet / polygon-amoy
  • Optimism - optimism-mainnet / optimism-testnet
  • Berachain - berachain-mainnet
  • Unichain - unichain-mainnet / unichain-sepolia
  • Monad - monad-testnet
  • Celo - celo-mainnet / celo-testnet
  • Chiliz - chiliz-mainnet
  • Tezos - tezos-mainnet

To get started:

  • Provide a chain name and comma-separated list of collection addresses. Our API will return relevant information about each token, including its name, description, image, and more.
  • Aside from relevant information about each token, the response also contains metadata (they can, however, be excluded by setting excludeMetadata to true).
  • If not specified, the API returns results for all supported types of tokens (nft, multitokens), but you can also choose to filter only one tokenType.
  • For Tezos blockchain query parameters excludeMetadata and tokenType won't have any effect on filtering data.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
required

The blockchain to work with.

string
required

The blockchain addresses of the collections. It is possible to enter list of up to 10 addresses as a comma separated string.

string
enum

The option to select only specific token types. It is possible to enter list of multiple types as a comma separated string. Use nft (includes ERC-721 and ERC-1155) or multitoken (ERC-1155 only).

Allowed:
boolean

The option to exclude metadata from the response.

number
1 to 50

The number of items per page (default is 50).

number

The offset to obtain next page of the data.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json